Name: 	 	gmorgan
Summary:	MIDI auto-accompaniment generator 	
Version: 	0.25
Release: 	%{mkrel 2}
Source0:	%{name}-%{version}.tar.bz2
# Fix build on x86-64 (from Debian) - AdamW 2008/08
Patch0:		01_ftbfs_amd64.diff
URL:		http://gmorgan.sourceforge.net/
License:	GPLv2+
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	fltk-devel
BuildRequires:	libalsa-devel
BuildRequires:	gettext-devel

%description
GMorgan is a modern MIDI organ with full auto-accompaniment. GMrgand uses
soundfonts and the ALSA sequencer for emulate a Rhythm Station.

%prep
%setup -q
%patch0 -p0 -b .x86_64
#perl -p -i -e "s|-O6|$RPM_OPT_FLAGS||g" src/Makefile

%build
rm -f m4/po.m4
cp %{_datadir}/aclocal/po.m4 m4/po.m4
autoreconf
%configure2_5x
%make  
										
%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
make install PREFIX=%{_prefix} DESTDIR=%{buildroot}
rm -fr %{buildroot}/%{_docdir}
%find_lang %{name}

#menu
mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{name}
Icon=sound_section
Name=GMorgan
Comment=MIDI Auto-Accompaniment
Categories=Audio;
EOF

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%endif
		
%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop



%changelog
* Wed Aug 20 2008 Adam Williamson <awilliamson@mandriva.com> 0.25-2mdv2009.0
+ Revision: 274097
- add 01_ftbfs_amd64.diff from debian to fix x86-64 build
- rebuild for new era
- replace m4/po.m4 with system copy to fix build (per debian #456588)
- br gettext-devel
- clean spec

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - auto convert menu to XDG
    - kill re-definition of %%buildroot on Pixel's request
    - use %%mkrel
    - import gmorgan

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Nov 10 2005 Austin Acton <austin@mandriva.org> 0.25-1mdk
- New release 0.25

* Fri Jul 9 2004 Austin Acton <austin@mandrake.org> 0.24-1mdk
- 0.24

* Tue Jun 22 2004 Austin Acton <austin@mandrake.org> 0.23-1mdk
- 0.23

* Sun Jun 6 2004 Austin Acton <austin@mandrake.org> 0.22-2mdk
- configure 2.5

* Tue Jan 27 2004 Austin Acton <austin@mandrake.org> 0.22-1mdk
- 0.22

* Mon Jan 5 2004 Austin Acton <austin@linux.ca> 0.21-1mdk
- 0.21

* Sat Dec 27 2003 Austin Acton <austin@linux.ca> 0.20-1mdk
- 0.20
- new URL
- locales

* Mon Sep 8 2003 Austin Acton <aacton@yorku.ca> 0.16-1mdk
- 0.16

* Mon Sep 1 2003 Austin Acton <aacton@yorku.ca> 0.15-1mdk
- 0.15

* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 0.14-1mdk
- 0.14

* Thu Aug 7 2003 Austin Acton <aacton@yorku.ca> 0.10-1mdk
- 0.10
- new URL

* Wed Jul 30 2003 Austin Acton <aacton@yorku.ca> 0.07-1mdk
- 0.07

* Wed Jul 16 2003 Austin Acton <aacton@yorku.ca> 0.04-1mdk
- 0.04

* Mon Jul 14 2003 Austin Acton <aacton@yorku.ca> 0.03-1mdk
- 0.03

* Mon Jul 7 2003 Austin Acton <aacton@yorku.ca> 0.01-1mdk
- initial package
